--- //depot/vendor/freebsd/src/sys/dev/gem/if_gem.c	2005/08/03 00:20:47
+++ //depot/projects/netsmp/src/sys/dev/gem/if_gem.c	2005/08/05 14:11:40
@@ -638,7 +638,7 @@
 	/*
 	 * Mark the interface down and cancel the watchdog timer.
 	 */
-	ifp->if_flags &= ~(IFF_RUNNING | IFF_OACTIVE);
+	ifp->if_drv_flags &= ~(IFF_DRV_RUNNING | IFF_DRV_OACTIVE);
 	ifp->if_timer = 0;
 }
 
@@ -972,10 +972,10 @@
 	/* Start the one second timer. */
 	callout_reset(&sc->sc_tick_ch, hz, gem_tick, sc);
 
-	ifp->if_flags |= IFF_RUNNING;
-	ifp->if_flags &= ~IFF_OACTIVE;
+	ifp->if_drv_flags |= IFF_DRV_RUNNING;
+	ifp->if_drv_flags &= ~IFF_DRV_OACTIVE;
 	ifp->if_timer = 0;
-	sc->sc_ifflags = ifp->if_flags;
+	sc->sc_ifflags = ifp->if_flags | ifp->if_drv_flags;
 }
 
 static int
@@ -1139,7 +1139,8 @@
 	struct mbuf *m0 = NULL;
 	int firsttx, ntx = 0, ofree, txmfail;
 
-	if ((ifp->if_flags & (IFF_RUNNING | IFF_OACTIVE)) != IFF_RUNNING)
+	if ((ifp->if_drv_flags & (IFF_DRV_RUNNING | IFF_DRV_OACTIVE)) !=
+	    IFF_DRV_RUNNING)
 		return;
 
 	/*
@@ -1198,7 +1199,7 @@
 
 	if (txmfail == -1 || sc->sc_txfree == 0) {
 		/* No more slots left; notify upper layer. */
-		ifp->if_flags |= IFF_OACTIVE;
+		ifp->if_drv_flags |= IFF_DRV_OACTIVE;
 	}
 
 	if (ntx > 0) {
@@ -1338,8 +1339,8 @@
 		if (sc->sc_txfree == GEM_NTXDESC - 1)
 			sc->sc_txwin = 0;
 
-		/* Freed some descriptors, so reset IFF_OACTIVE and restart. */
-		ifp->if_flags &= ~IFF_OACTIVE;
+		/* Freed some descriptors, so reset IFF_DRV_OACTIVE and restart. */
+		ifp->if_drv_flags &= ~IFF_DRV_OACTIVE;
 		gem_start_locked(ifp);
 
 		if (STAILQ_EMPTY(&sc->sc_txdirtyq))
@@ -1873,10 +1874,10 @@
 			else
 				gem_init_locked(sc);
 		} else {
-			if (ifp->if_flags & IFF_RUNNING)
+			if (ifp->if_drv_flags & IFF_DRV_RUNNING)
 				gem_stop(ifp, 0);
 		}
-		sc->sc_ifflags = ifp->if_flags;
+		sc->sc_ifflags = ifp->if_flags | ifp->if_drv_flags;
 		error = 0;
 		break;
 	case SIOCADDMULTI:
--- //depot/vendor/freebsd/src/sys/dev/hatm/if_hatm.c	2005/07/01 10:45:26
+++ //depot/projects/netsmp/src/sys/dev/hatm/if_hatm.c	2005/08/05 14:11:40
@@ -1974,7 +1974,7 @@
 	u_int cid;
 	static const u_int layout[2][7] = HE_CONFIG_MEM_LAYOUT;
 
-	if (sc->ifp->if_flags & IFF_RUNNING)
+	if (sc->ifp->if_drv_flags & IFF_DRV_RUNNING)
 		return;
 
 	hatm_init_bus_width(sc);
@@ -2244,7 +2244,7 @@
 	v |= HE_PCIM_CTL0_INIT_ENB | HE_PCIM_CTL0_INT_PROC_ENB;
 	pci_write_config(sc->dev, HE_PCIR_GEN_CNTL_0, v, 4);
 
-	sc->ifp->if_flags |= IFF_RUNNING;
+	sc->ifp->if_drv_flags |= IFF_DRV_RUNNING;
 	sc->ifp->if_baudrate = 53 * 8 * IFP2IFATM(sc->ifp)->mib.pcr;
 
 	sc->utopia.flags &= ~UTP_FL_POLL_CARRIER;
@@ -2272,9 +2272,9 @@
 
 	mtx_assert(&sc->mtx, MA_OWNED);
 
-	if (!(sc->ifp->if_flags & IFF_RUNNING))
+	if (!(sc->ifp->if_drv_flags & IFF_DRV_RUNNING))
 		return;
-	sc->ifp->if_flags &= ~IFF_RUNNING;
+	sc->ifp->if_drv_flags &= ~IFF_DRV_RUNNING;
 
 	ATMEV_SEND_IFSTATE_CHANGED(IFP2IFATM(sc->ifp),
 	    sc->utopia.carrier == UTP_CARR_OK);
@@ -2318,7 +2318,7 @@
 
 	/*
 	 * Give any waiters on closing a VCC a chance. They will stop
-	 * to wait if they see that IFF_RUNNING disappeared.
+	 * to wait if they see that IFF_DRV_RUNNING disappeared.
 	 */
 	cv_broadcast(&sc->vcc_cv);
 	cv_broadcast(&sc->cv_rcclose);
--- //depot/vendor/freebsd/src/sys/dev/hatm/if_hatm_intr.c	2005/07/15 18:20:34
+++ //depot/projects/netsmp/src/sys/dev/hatm/if_hatm_intr.c	2005/08/05 14:11:40
@@ -537,7 +537,7 @@
 
 	/* if we have a stray interrupt with a non-initialized card,
 	 * we cannot even lock before looking at the flag */
-	if (!(sc->ifp->if_flags & IFF_RUNNING))
+	if (!(sc->ifp->if_drv_flags & IFF_DRV_RUNNING))
 		return;
 
 	mtx_lock(&sc->mtx);
--- //depot/vendor/freebsd/src/sys/dev/hatm/if_hatm_ioctl.c	2005/07/01 10:45:26
+++ //depot/projects/netsmp/src/sys/dev/hatm/if_hatm_ioctl.c	2005/08/05 14:11:40
@@ -116,7 +116,7 @@
 		return (ENOMEM);
 
 	mtx_lock(&sc->mtx);
-	if (!(sc->ifp->if_flags & IFF_RUNNING)) {
+	if (!(sc->ifp->if_drv_flags & IFF_DRV_RUNNING)) {
 		error = EIO;
 		goto done;
 	}
@@ -230,7 +230,7 @@
 
 	mtx_lock(&sc->mtx);
 	vcc = sc->vccs[cid];
-	if (!(sc->ifp->if_flags & IFF_RUNNING)) {
+	if (!(sc->ifp->if_drv_flags & IFF_DRV_RUNNING)) {
 		error = EIO;
 		goto done;
 	}
@@ -248,11 +248,11 @@
 	if (vcc->param.flags & ATMIO_FLAG_ASYNC)
 		goto done;
 
-	while ((sc->ifp->if_flags & IFF_RUNNING) &&
+	while ((sc->ifp->if_drv_flags & IFF_DRV_RUNNING) &&
 	       (vcc->vflags & (HE_VCC_TX_CLOSING | HE_VCC_RX_CLOSING)))
 		cv_wait(&sc->vcc_cv, &sc->mtx);
 
-	if (!(sc->ifp->if_flags & IFF_RUNNING)) {
+	if (!(sc->ifp->if_drv_flags & IFF_DRV_RUNNING)) {
 		error = EIO;
 		goto done;
 	}
@@ -284,7 +284,7 @@
 	  case SIOCSIFADDR:
 		mtx_lock(&sc->mtx);
 		ifp->if_flags |= IFF_UP;
-		if (!(ifp->if_flags & IFF_RUNNING))
+		if (!(ifp->if_drv_flags & IFF_DRV_RUNNING))
 			hatm_initialize(sc);
 		switch (ifa->ifa_addr->sa_family) {
 
@@ -303,11 +303,11 @@
 	  case SIOCSIFFLAGS:
 		mtx_lock(&sc->mtx);
 		if (ifp->if_flags & IFF_UP) {
-			if (!(ifp->if_flags & IFF_RUNNING)) {
+			if (!(ifp->if_drv_flags & IFF_DRV_RUNNING)) {
 				hatm_initialize(sc);
 			}
 		} else {
-			if (ifp->if_flags & IFF_RUNNING) {
+			if (ifp->if_drv_flags & IFF_DRV_RUNNING) {
 				hatm_stop(sc);
 			}
 		}
--- //depot/vendor/freebsd/src/sys/dev/hatm/if_hatm_rx.c	2005/06/10 16:51:34
+++ //depot/projects/netsmp/src/sys/dev/hatm/if_hatm_rx.c	2005/08/05 14:11:40
@@ -316,11 +316,11 @@
 	WRITE_RSR(sc, cid, 0, 0xf, 0);
 
 	v = READ4(sc, HE_REGO_RCCSTAT);
-	while ((sc->ifp->if_flags & IFF_RUNNING) &&
+	while ((sc->ifp->if_drv_flags & IFF_DRV_RUNNING) &&
 	       (READ4(sc, HE_REGO_RCCSTAT) & HE_REGM_RCCSTAT_PROG))
 		cv_timedwait(&sc->cv_rcclose, &sc->mtx, 1);
 
-	if (!(sc->ifp->if_flags & IFF_RUNNING))
+	if (!(sc->ifp->if_drv_flags & IFF_DRV_RUNNING))
 		return;
 
 	WRITE_MBOX4(sc, HE_REGO_RCON_CLOSE, cid);
--- //depot/vendor/freebsd/src/sys/dev/hatm/if_hatm_tx.c	2005/07/01 10:45:26
+++ //depot/projects/netsmp/src/sys/dev/hatm/if_hatm_tx.c	2005/08/05 14:11:40
@@ -360,7 +360,7 @@
 	u_int len;
 	int error;
 
-	if (!(ifp->if_flags & IFF_RUNNING))
+	if (!(ifp->if_drv_flags & IFF_DRV_RUNNING))
 		return;
 	mtx_lock(&sc->mtx);
 	arg.sc = sc;
--- //depot/vendor/freebsd/src/sys/dev/hme/if_hme.c	2005/08/03 00:20:47
+++ //depot/projects/netsmp/src/sys/dev/hme/if_hme.c	2005/08/05 14:11:40
@@ -880,8 +880,8 @@
 	/* Start the one second timer. */
 	callout_reset(&sc->sc_tick_ch, hz, hme_tick, sc);
 
-	ifp->if_flags |= IFF_RUNNING;
-	ifp->if_flags &= ~IFF_OACTIVE;
+	ifp->if_drv_flags |= IFF_DRV_RUNNING;
+	ifp->if_drv_flags &= ~IFF_DRV_OACTIVE;
 	ifp->if_timer = 0;
 	hme_start_locked(ifp);
 }
@@ -1107,7 +1107,8 @@
 	struct mbuf *m;
 	int error, enq = 0;
 
-	if ((ifp->if_flags & (IFF_RUNNING | IFF_OACTIVE)) != IFF_RUNNING)
+	if ((ifp->if_drv_flags & (IFF_DRV_RUNNING | IFF_DRV_OACTIVE)) !=
+	    IFF_DRV_RUNNING)
 		return;
 
 	error = 0;
@@ -1118,7 +1119,7 @@
 
 		error = hme_load_txmbuf(sc, m);
 		if (error == -1) {
-			ifp->if_flags |= IFF_OACTIVE;
+			ifp->if_drv_flags |= IFF_DRV_OACTIVE;
 			IFQ_DRV_PREPEND(&ifp->if_snd, m);
 			break;
 		} else if (error > 0) {
@@ -1131,7 +1132,7 @@
 	}
 
 	if (sc->sc_rb.rb_td_nbusy == HME_NTXDESC || error == -1)
-		ifp->if_flags |= IFF_OACTIVE;
+		ifp->if_drv_flags |= IFF_DRV_OACTIVE;
 	/* Set watchdog timer if a packet was queued */
 	if (enq) {
 		bus_dmamap_sync(sc->sc_cdmatag, sc->sc_cdmamap,
@@ -1184,7 +1185,7 @@
 
 		CTR0(KTR_HME, "hme_tint: not owned");
 		--sc->sc_rb.rb_td_nbusy;
-		ifp->if_flags &= ~IFF_OACTIVE;
+		ifp->if_drv_flags &= ~IFF_DRV_OACTIVE;
 
 		/* Complete packet transmitted? */
 		if ((txflags & HME_XD_EOP) == 0)
@@ -1558,15 +1559,15 @@
 	switch (cmd) {
 	case SIOCSIFFLAGS:
 		if ((ifp->if_flags & IFF_UP) == 0 &&
-		    (ifp->if_flags & IFF_RUNNING) != 0) {
+		    (ifp->if_drv_flags & IFF_DRV_RUNNING) != 0) {
 			/*
 			 * If interface is marked down and it is running, then
 			 * stop it.
 			 */
 			hme_stop(sc);
-			ifp->if_flags &= ~IFF_RUNNING;
+			ifp->if_drv_flags &= ~IFF_DRV_RUNNING;
 		} else if ((ifp->if_flags & IFF_UP) != 0 &&
-		    	   (ifp->if_flags & IFF_RUNNING) == 0) {
+		    	   (ifp->if_drv_flags & IFF_DRV_RUNNING) == 0) {
 			/*
 			 * If interface is marked up and it is stopped, then
 			 * start it.
--- //depot/vendor/freebsd/src/sys/dev/ie/if_ie.c	2005/08/03 00:20:47
+++ //depot/projects/netsmp/src/sys/dev/ie/if_ie.c	2005/08/05 14:11:40
@@ -466,7 +466,7 @@
 	int	i;
 
 	sc->ifp->if_timer = 0;
-	sc->ifp->if_flags &= ~IFF_OACTIVE;
+	sc->ifp->if_drv_flags &= ~IFF_DRV_OACTIVE;
 
 	for (i = 0; i < sc->xmit_count; i++) {
 		status = sc->xmit_cmds[i]->ie_xmit_status;
@@ -927,9 +927,9 @@
 	 */
 	volatile u_short *bptr = &sc->scb->ie_command_list;
 
-	if (!(ifp->if_flags & IFF_RUNNING))
+	if (!(ifp->if_drv_flags & IFF_DRV_RUNNING))
 		return;
-	if (ifp->if_flags & IFF_OACTIVE)
+	if (ifp->if_drv_flags & IFF_DRV_OACTIVE)
 		return;
 
 	do {
@@ -985,7 +985,7 @@
 		 * command.  I wish I understood what was happening here.
 		 */
 		command_and_wait(sc, IE_CU_START, 0, 0);
-		ifp->if_flags |= IFF_OACTIVE;
+		ifp->if_drv_flags |= IFF_DRV_OACTIVE;
 	}
 	return;
 }
@@ -1601,9 +1601,9 @@
 		ee16_interrupt_enable(sc);
 		ee16_chan_attn(sc);
 	}
-	sc->ifp->if_flags |= IFF_RUNNING;	/* tell higher levels
+	sc->ifp->if_drv_flags |= IFF_DRV_RUNNING;	/* tell higher levels
 							 * we're here */
-	sc->ifp->if_flags &= ~IFF_OACTIVE;
+	sc->ifp->if_drv_flags &= ~IFF_DRV_OACTIVE;
 
 	start_receiver(sc);
 
@@ -1632,11 +1632,11 @@
 		 * filtering manually.
 		 */
 		if ((ifp->if_flags & IFF_UP) == 0 &&
-		    (ifp->if_flags & IFF_RUNNING)) {
-			ifp->if_flags &= ~IFF_RUNNING;
+		    (ifp->if_drv_flags & IFF_DRV_RUNNING)) {
+			ifp->if_drv_flags &= ~IFF_DRV_RUNNING;
 			ie_stop(sc);
 		} else if ((ifp->if_flags & IFF_UP) &&
-			   (ifp->if_flags & IFF_RUNNING) == 0) {
+			   (ifp->if_drv_flags & IFF_DRV_RUNNING) == 0) {
 			sc->promisc =
 			    ifp->if_flags & (IFF_PROMISC | IFF_ALLMULTI);
 			ieinit(sc);
@@ -1794,7 +1794,7 @@
 		ee16_shutdown(sc, 0);
 
 	ie_stop(sc);
-	ifp->if_flags &= ~IFF_RUNNING;
+	ifp->if_drv_flags &= ~IFF_DRV_RUNNING;
 	ether_ifdetach(ifp);
 	if_free(ifp);
 	ie_release_resources(dev);
--- //depot/vendor/freebsd/src/sys/dev/if_ndis/if_ndis.c	2005/08/03 00:20:47
+++ //depot/projects/netsmp/src/sys/dev/if_ndis/if_ndis.c	2005/08/05 14:11:40
@@ -1310,7 +1310,7 @@
 	else
 		ifp->if_oerrors++;
 	ifp->if_timer = 0;
-	ifp->if_flags &= ~IFF_OACTIVE;
+	ifp->if_drv_flags &= ~IFF_DRV_OACTIVE;
 
 	NDIS_UNLOCK(sc);
 
@@ -1549,7 +1549,7 @@
 
 	NDIS_LOCK(sc);
 
-	if (!sc->ndis_link || ifp->if_flags & IFF_OACTIVE) {
+	if (!sc->ndis_link || ifp->if_drv_flags & IFF_DRV_OACTIVE) {
 		NDIS_UNLOCK(sc);
 		return;
 	}
@@ -1651,7 +1651,7 @@
 	}
 
 	if (sc->ndis_txpending == 0)
-		ifp->if_flags |= IFF_OACTIVE;
+		ifp->if_drv_flags |= IFF_DRV_OACTIVE;
 
 	/*
 	 * Set a timeout in case the chip goes out to lunch.
@@ -1732,8 +1732,8 @@
 	sc->ndis_txpending = sc->ndis_maxpkts;
 	sc->ndis_link = 0;
 
-	ifp->if_flags |= IFF_RUNNING;
-	ifp->if_flags &= ~IFF_OACTIVE;
+	ifp->if_drv_flags |= IFF_DRV_RUNNING;
+	ifp->if_drv_flags &= ~IFF_DRV_OACTIVE;
 
 	NDIS_UNLOCK(sc);
 
@@ -2274,7 +2274,7 @@
 	switch(command) {
 	case SIOCSIFFLAGS:
 		if (ifp->if_flags & IFF_UP) {
-			if (ifp->if_flags & IFF_RUNNING &&
+			if (ifp->if_drv_flags & IFF_DRV_RUNNING &&
 			    ifp->if_flags & IFF_PROMISC &&
 			    !(sc->ndis_if_flags & IFF_PROMISC)) {
 				sc->ndis_filter |=
@@ -2283,7 +2283,7 @@
 				error = ndis_set_info(sc,
 				    OID_GEN_CURRENT_PACKET_FILTER,
 				    &sc->ndis_filter, &i);
-			} else if (ifp->if_flags & IFF_RUNNING &&
+			} else if (ifp->if_drv_flags & IFF_DRV_RUNNING &&
 			    !(ifp->if_flags & IFF_PROMISC) &&
 			    sc->ndis_if_flags & IFF_PROMISC) {
 				sc->ndis_filter &=
@@ -2295,7 +2295,7 @@
 			} else
 				ndis_init(sc);
 		} else {
-			if (ifp->if_flags & IFF_RUNNING)
+			if (ifp->if_drv_flags & IFF_DRV_RUNNING)
 				ndis_stop(sc);
 		}
 		sc->ndis_if_flags = ifp->if_flags;
@@ -3000,7 +3000,7 @@
 	NDIS_LOCK(sc);
 	ifp->if_timer = 0;
 	sc->ndis_link = 0;
-	ifp->if_flags &= ~(IFF_RUNNING | IFF_OACTIVE);
+	ifp->if_drv_flags &= ~(IFF_DRV_RUNNING | IFF_DRV_OACTIVE);
 	NDIS_UNLOCK(sc);
 
 	ndis_halt_nic(sc);
--- //depot/vendor/freebsd/src/sys/dev/iicbus/if_ic.c	2005/06/26 18:15:33
+++ //depot/projects/netsmp/src/sys/dev/iicbus/if_ic.c	2005/08/05 14:11:40
@@ -182,16 +182,18 @@
 	ifp->if_flags |= IFF_UP;
 	/* FALLTHROUGH */
     case SIOCSIFFLAGS:
-	if ((!(ifp->if_flags & IFF_UP)) && (ifp->if_flags & IFF_RUNNING)) {
+	if ((!(ifp->if_flags & IFF_UP)) &&
+	  (ifp->if_drv_flags & IFF_DRV_RUNNING)) {
 
 	    /* XXX disable PCF */
-	    ifp->if_flags &= ~IFF_RUNNING;
+	    ifp->if_drv_flags &= ~IFF_DRV_RUNNING;
 
 	    /* IFF_UP is not set, try to release the bus anyway */
 	    iicbus_release_bus(parent, icdev);
 	    break;
 	}
-	if (((ifp->if_flags & IFF_UP)) && (!(ifp->if_flags & IFF_RUNNING))) {
+	if (((ifp->if_flags & IFF_UP)) &&
+	  (!(ifp->if_drv_flags & IFF_DRV_RUNNING))) {
 
 	    if ((error = iicbus_request_bus(parent, icdev, IIC_WAIT|IIC_INTR)))
 		return (error);
@@ -212,7 +214,7 @@
 
 	    iicbus_reset(parent, IIC_FASTEST, 0, NULL);
 
-	    ifp->if_flags |= IFF_RUNNING;
+	    ifp->if_drv_flags |= IFF_DRV_RUNNING;
 	}
 	break;
 
@@ -382,7 +384,7 @@
 	else 
 		hdr = dst->sa_family;
 
-	ifp->if_flags |= IFF_RUNNING;
+	ifp->if_drv_flags |= IFF_DRV_RUNNING;
 
 	s = splhigh();
 
--- //depot/vendor/freebsd/src/sys/dev/ipw/if_ipw.c	2005/07/22 17:37:32
+++ //depot/projects/netsmp/src/sys/dev/ipw/if_ipw.c	2005/08/05 14:11:40
@@ -733,7 +733,7 @@
 
 	if (ifp->if_flags & IFF_UP) {
 		ifp->if_init(ifp->if_softc);
-		if (ifp->if_flags & IFF_RUNNING)
+		if (ifp->if_drv_flags & IFF_DRV_RUNNING)
 			ifp->if_start(ifp);
 	}
 
@@ -756,7 +756,7 @@
 		return error;
 	}
 
-	if ((ifp->if_flags & (IFF_UP | IFF_RUNNING)) == (IFF_UP | IFF_RUNNING))
+	if ((ifp->if_flags & IFF_UP) && (ifp->if_drv_flags & IFF_DRV_RUNNING))
 		ipw_init(sc);
 
 	IPW_UNLOCK(sc);
@@ -1199,7 +1199,7 @@
 	/* remember what the firmware has processed */
 	sc->txold = (r == 0) ? IPW_NTBD - 1 : r - 1;
 
-	ifp->if_flags &= ~IFF_OACTIVE;
+	ifp->if_drv_flags &= ~IFF_DRV_OACTIVE;
 	ipw_start(ifp);
 }
 
@@ -1475,7 +1475,7 @@
 
 		if (sc->txfree < 1 + IPW_MAX_NSEG) {
 			IFQ_DRV_PREPEND(&ifp->if_snd, m0);
-			ifp->if_flags |= IFF_OACTIVE;
+			ifp->if_drv_flags |= IFF_DRV_OACTIVE;
 			break;
 		}
 
@@ -1549,10 +1549,10 @@
 	switch (cmd) {
 	case SIOCSIFFLAGS:
 		if (ifp->if_flags & IFF_UP) {
-			if (!(ifp->if_flags & IFF_RUNNING))
+			if (!(ifp->if_drv_flags & IFF_DRV_RUNNING))
 				ipw_init(sc);
 		} else {
-			if (ifp->if_flags & IFF_RUNNING)
+			if (ifp->if_drv_flags & IFF_DRV_RUNNING)
 				ipw_stop(sc);
 		}
 		break;
@@ -1581,8 +1581,8 @@
 	}
 
 	if (error == ENETRESET) {
-		if ((ifp->if_flags & (IFF_UP | IFF_RUNNING)) ==
-		    (IFF_UP | IFF_RUNNING))
+		if ((ifp->if_flags & IFF_UP) &&
+		    (ifp->if_drv_flags & IFF_DRV_RUNNING))
 			ipw_init(sc);
 		error = 0;
 	}
@@ -2090,8 +2090,8 @@
 		goto fail;
 	}
 
-	ifp->if_flags &= ~IFF_OACTIVE;
-	ifp->if_flags |= IFF_RUNNING;
+	ifp->if_drv_flags &= ~IFF_DRV_OACTIVE;
+	ifp->if_drv_flags |= IFF_DRV_RUNNING;
 
 	return;
 
@@ -2119,7 +2119,7 @@
 
 	sc->sc_tx_timer = 0;
 	ifp->if_timer = 0;
-	ifp->if_flags &= ~(IFF_RUNNING | IFF_OACTIVE);
+	ifp->if_drv_flags &= ~(IFF_DRV_RUNNING | IFF_DRV_OACTIVE);
 
 	ieee80211_new_state(ic, IEEE80211_S_INIT, -1);
 }
--- //depot/vendor/freebsd/src/sys/dev/iwi/if_iwi.c	2005/07/22 17:37:32
+++ //depot/projects/netsmp/src/sys/dev/iwi/if_iwi.c	2005/08/05 14:11:40
@@ -786,7 +786,7 @@
 
 	if (ifp->if_flags & IFF_UP) {
 		ifp->if_init(ifp->if_softc);
-		if (ifp->if_flags & IFF_RUNNING)
+		if (ifp->if_drv_flags & IFF_DRV_RUNNING)
 			ifp->if_start(ifp);
 	}
 
@@ -809,7 +809,7 @@
 		return error;
 	}
 
-	if ((ifp->if_flags & (IFF_UP | IFF_RUNNING)) == (IFF_UP | IFF_RUNNING))
+	if ((ifp->if_flags & IFF_UP) && (ifp->if_drv_flags & IFF_DRV_RUNNING))
 		iwi_init(sc);
 
 	IWI_UNLOCK(sc);
@@ -1247,7 +1247,7 @@
 	}
 
 	sc->sc_tx_timer = 0;
-	ifp->if_flags &= ~IFF_OACTIVE;
+	ifp->if_drv_flags &= ~IFF_DRV_OACTIVE;
 	iwi_start(ifp);
 }
 
@@ -1460,7 +1460,7 @@
 
 		if (sc->txq.queued >= IWI_TX_RING_COUNT - 4) {
 			IFQ_DRV_PREPEND(&ifp->if_snd, m0);
-			ifp->if_flags |= IFF_OACTIVE;
+			ifp->if_drv_flags |= IFF_DRV_OACTIVE;
 			break;
 		}
 
@@ -1538,10 +1538,10 @@
 	switch (cmd) {
 	case SIOCSIFFLAGS:
 		if (ifp->if_flags & IFF_UP) {
-			if (!(ifp->if_flags & IFF_RUNNING))
+			if (!(ifp->if_drv_flags & IFF_DRV_RUNNING))
 				iwi_init(sc);
 		} else {
-			if (ifp->if_flags & IFF_RUNNING)
+			if (ifp->if_drv_flags & IFF_DRV_RUNNING)
 				iwi_stop(sc);
 		}
 		break;
@@ -1570,8 +1570,8 @@
 	}
 
 	if (error == ENETRESET) {
-		if ((ifp->if_flags & (IFF_UP | IFF_RUNNING)) ==
-		    (IFF_UP | IFF_RUNNING))
+		if ((ifp->if_flags & IFF_UP) &&
+		    (ifp->if_drv_flags & IFF_DRV_RUNNING))
 			iwi_init(sc);
 		error = 0;
 	}
@@ -2276,8 +2276,8 @@
 	else
 		ieee80211_new_state(ic, IEEE80211_S_SCAN, -1);
 
-	ifp->if_flags &= ~IFF_OACTIVE;
-	ifp->if_flags |= IFF_RUNNING;
+	ifp->if_drv_flags &= ~IFF_DRV_OACTIVE;
+	ifp->if_drv_flags |= IFF_DRV_RUNNING;
 
 	return;
 
@@ -2303,7 +2303,7 @@
 
 	sc->sc_tx_timer = 0;
 	ifp->if_timer = 0;
-	ifp->if_flags &= ~(IFF_RUNNING | IFF_OACTIVE);
+	ifp->if_drv_flags &= ~(IFF_DRV_RUNNING | IFF_DRV_OACTIVE);
 
 	ieee80211_new_state(ic, IEEE80211_S_INIT, -1);
 }
--- //depot/vendor/freebsd/src/sys/dev/ixgb/if_ixgb.c	2005/08/03 00:20:47
+++ //depot/projects/netsmp/src/sys/dev/ixgb/if_ixgb.c	2005/08/05 14:11:40
@@ -401,7 +401,7 @@
 	if (adapter->prev != NULL)
 		adapter->prev->next = adapter->next;
 
-	ifp->if_flags &= ~(IFF_RUNNING | IFF_OACTIVE);
+	ifp->if_drv_flags &= ~(IFF_DRV_RUNNING | IFF_DRV_OACTIVE);
 	ifp->if_timer = 0;
 
 	IXGB_LOCK_DESTROY(adapter);
@@ -453,7 +453,7 @@
 			break;
 
 		if (ixgb_encap(adapter, m_head)) {
-			ifp->if_flags |= IFF_OACTIVE;
+			ifp->if_drv_flags |= IFF_DRV_OACTIVE;
 			IF_PREPEND(&ifp->if_snd, m_head);
 			break;
 		}
@@ -525,13 +525,13 @@
 		IOCTL_DEBUGOUT("ioctl rcv'd: SIOCSIFFLAGS (Set Interface Flags)");
 		IXGB_LOCK(adapter);
 		if (ifp->if_flags & IFF_UP) {
-			if (!(ifp->if_flags & IFF_RUNNING)) {
+			if (!(ifp->if_drv_flags & IFF_DRV_RUNNING)) {
 				ixgb_init_locked(adapter);
 			}
 			ixgb_disable_promisc(adapter);
 			ixgb_set_promisc(adapter);
 		} else {
-			if (ifp->if_flags & IFF_RUNNING) {
+			if (ifp->if_drv_flags & IFF_DRV_RUNNING) {
 				ixgb_stop(adapter);
 			}
 		}
@@ -540,7 +540,7 @@
 	case SIOCADDMULTI:
 	case SIOCDELMULTI:
 		IOCTL_DEBUGOUT("ioctl rcv'd: SIOC(ADD|DEL)MULTI");
-		if (ifp->if_flags & IFF_RUNNING) {
+		if (ifp->if_drv_flags & IFF_DRV_RUNNING) {
 			IXGB_LOCK(adapter);
 			ixgb_disable_intr(adapter);
 			ixgb_set_multi(adapter);
@@ -561,7 +561,7 @@
 				ifp->if_capenable &= ~IFCAP_HWCSUM;
 			else
 				ifp->if_capenable |= IFCAP_HWCSUM;
-			if (ifp->if_flags & IFF_RUNNING)
+			if (ifp->if_drv_flags & IFF_DRV_RUNNING)
 				ixgb_init(adapter);
 		}
 		break;
@@ -597,7 +597,7 @@
 	}
 	printf("ixgb%d: watchdog timeout -- resetting\n", adapter->unit);
 
-	ifp->if_flags &= ~IFF_RUNNING;
+	ifp->if_drv_flags &= ~IFF_DRV_RUNNING;
 
 
 	ixgb_stop(adapter);
@@ -668,8 +668,8 @@
 	ixgb_set_promisc(adapter);
 
 	ifp = adapter->ifp;
-	ifp->if_flags |= IFF_RUNNING;
-	ifp->if_flags &= ~IFF_OACTIVE;
+	ifp->if_drv_flags |= IFF_DRV_RUNNING;
+	ifp->if_drv_flags &= ~IFF_DRV_OACTIVE;
 
 
 	if (ifp->if_capenable & IFCAP_TXCSUM)
@@ -744,11 +744,12 @@
 			    adapter);
 		}
 	}
-	if (ifp->if_flags & IFF_RUNNING) {
+	if (ifp->if_drv_flags & IFF_DRV_RUNNING) {
 		ixgb_process_receive_interrupts(adapter, count);
 		ixgb_clean_transmit_interrupts(adapter);
 	}
-	if (ifp->if_flags & IFF_RUNNING && ifp->if_snd.ifq_head != NULL)
+	if (ifp->if_drv_flags & IFF_DRV_RUNNING &&
+	    ifp->if_snd.ifq_head != NULL)
 		ixgb_start_locked(ifp);
 }
 
@@ -826,7 +827,7 @@
 		    adapter);
 	}
 	while (loop_cnt > 0) {
-		if (ifp->if_flags & IFF_RUNNING) {
+		if (ifp->if_drv_flags & IFF_DRV_RUNNING) {
 			ixgb_process_receive_interrupts(adapter, -1);
 			ixgb_clean_transmit_interrupts(adapter);
 		}
@@ -837,7 +838,7 @@
 		IXGB_WRITE_REG(&adapter->hw, IMC, IXGB_INT_RXDMT0);
 		IXGB_WRITE_REG(&adapter->hw, IMS, IXGB_INT_RXDMT0);
 	}
-	if (ifp->if_flags & IFF_RUNNING && ifp->if_snd.ifq_head != NULL)
+	if (ifp->if_drv_flags & IFF_DRV_RUNNING && ifp->if_snd.ifq_head != NULL)
 		ixgb_start_locked(ifp);
 
 	IXGB_UNLOCK(adapter);
@@ -1116,7 +1117,7 @@
 	ixgb_check_for_link(&adapter->hw);
 	ixgb_print_link_status(adapter);
 	ixgb_update_stats_counters(adapter);
-	if (ixgb_display_debug_stats && ifp->if_flags & IFF_RUNNING) {
+	if (ixgb_display_debug_stats && ifp->if_drv_flags & IFF_DRV_RUNNING) {
 		ixgb_print_hw_stats(adapter);
 	}
 	callout_reset(&adapter->timer, 2 * hz, ixgb_local_timer, adapter);
@@ -1174,7 +1175,7 @@
 
 
 	/* Tell the stack that the interface is no longer active */
-	ifp->if_flags &= ~(IFF_RUNNING | IFF_OACTIVE);
+	ifp->if_drv_flags &= ~(IFF_DRV_RUNNING | IFF_DRV_OACTIVE);
 
 	return;
 }
@@ -1733,7 +1734,7 @@
 	adapter->oldest_used_tx_desc = i;
 
 	/*
-	 * If we have enough room, clear IFF_OACTIVE to tell the stack that
+	 * If we have enough room, clear IFF_DRV_OACTIVE to tell the stack that
 	 * it is OK to send packets. If there are no pending descriptors,
 	 * clear the timeout. Otherwise, if some descriptors have been freed,
 	 * restart the timeout.
@@ -1741,7 +1742,7 @@
 	if (num_avail > IXGB_TX_CLEANUP_THRESHOLD) {
 		struct ifnet   *ifp = adapter->ifp;
 
-		ifp->if_flags &= ~IFF_OACTIVE;
+		ifp->if_drv_flags &= ~IFF_DRV_OACTIVE;
 		if (num_avail == adapter->num_tx_desc)
 			ifp->if_timer = 0;
 		else if (num_avail == adapter->num_tx_desc_avail)
--- //depot/vendor/freebsd/src/sys/dev/lge/if_lge.c	2005/08/03 00:20:47
+++ //depot/projects/netsmp/src/sys/dev/lge/if_lge.c	2005/08/05 14:11:40
@@ -986,7 +986,7 @@
 	struct ifnet		*ifp;
 
 	ifp = sc->lge_ifp;
-	ifp->if_flags &= ~IFF_RUNNING;
+	ifp->if_drv_flags &= ~IFF_DRV_RUNNING;
 	lge_init(sc);
 	return;
 }
@@ -1034,7 +1034,7 @@
 	sc->lge_cdata.lge_tx_cons = idx;
 
 	if (cur_tx != NULL)
-		ifp->if_flags &= ~IFF_OACTIVE;
+		ifp->if_drv_flags &= ~IFF_DRV_OACTIVE;
 
 	return;
 }
@@ -1204,7 +1204,7 @@
 
 	idx = sc->lge_cdata.lge_tx_prod;
 
-	if (ifp->if_flags & IFF_OACTIVE)
+	if (ifp->if_drv_flags & IFF_DRV_OACTIVE)
 		return;
 
 	while(sc->lge_ldata->lge_tx_list[idx].lge_mbuf == NULL) {
@@ -1217,7 +1217,7 @@
 
 		if (lge_encap(sc, m_head, &idx)) {
 			IF_PREPEND(&ifp->if_snd, m_head);
-			ifp->if_flags |= IFF_OACTIVE;
+			ifp->if_drv_flags |= IFF_DRV_OACTIVE;
 			break;
 		}
 
@@ -1247,7 +1247,7 @@
 	struct mii_data		*mii;
 	int			s;
 
-	if (ifp->if_flags & IFF_RUNNING)
+	if (ifp->if_drv_flags & IFF_DRV_RUNNING)
 		return;
 
 	s = splimp();
@@ -1363,8 +1363,8 @@
 
 	lge_ifmedia_upd(ifp);
 
-	ifp->if_flags |= IFF_RUNNING;
-	ifp->if_flags &= ~IFF_OACTIVE;
+	ifp->if_drv_flags |= IFF_DRV_RUNNING;
+	ifp->if_drv_flags &= ~IFF_DRV_OACTIVE;
 
 	(void)splx(s);
 
@@ -1441,26 +1441,26 @@
 		break;
 	case SIOCSIFFLAGS:
 		if (ifp->if_flags & IFF_UP) {
-			if (ifp->if_flags & IFF_RUNNING &&
+			if (ifp->if_drv_flags & IFF_DRV_RUNNING &&
 			    ifp->if_flags & IFF_PROMISC &&
 			    !(sc->lge_if_flags & IFF_PROMISC)) {
 				CSR_WRITE_4(sc, LGE_MODE1,
 				    LGE_MODE1_SETRST_CTL1|
 				    LGE_MODE1_RX_PROMISC);
-			} else if (ifp->if_flags & IFF_RUNNING &&
+			} else if (ifp->if_drv_flags & IFF_DRV_RUNNING &&
 			    !(ifp->if_flags & IFF_PROMISC) &&
 			    sc->lge_if_flags & IFF_PROMISC) {
 				CSR_WRITE_4(sc, LGE_MODE1,
 				    LGE_MODE1_RX_PROMISC);
 			} else {
-				ifp->if_flags &= ~IFF_RUNNING;
+				ifp->if_drv_flags &= ~IFF_DRV_RUNNING;
 				lge_init(sc);
 			}
 		} else {
-			if (ifp->if_flags & IFF_RUNNING)
+			if (ifp->if_drv_flags & IFF_DRV_RUNNING)
 				lge_stop(sc);
 		}
-		sc->lge_if_flags = ifp->if_flags;
+		sc->lge_if_flags = ifp->if_flags | ifp->if_drv_flags;
 		error = 0;
 		break;
 	case SIOCADDMULTI:
@@ -1496,7 +1496,7 @@
 
 	lge_stop(sc);
 	lge_reset(sc);
-	ifp->if_flags &= ~IFF_RUNNING;
+	ifp->if_drv_flags &= ~IFF_DRV_RUNNING;
 	lge_init(sc);
 
 	if (ifp->if_snd.ifq_head != NULL)
@@ -1550,7 +1550,7 @@
 	bzero((char *)&sc->lge_ldata->lge_tx_list,
 		sizeof(sc->lge_ldata->lge_tx_list));
 
-	ifp->if_flags &= ~(IFF_RUNNING | IFF_OACTIVE);
+	ifp->if_drv_flags &= ~(IFF_DRV_RUNNING | IFF_DRV_OACTIVE);
 
 	return;
 }
--- //depot/vendor/freebsd/src/sys/dev/lnc/if_lnc.c	2005/08/03 00:20:47
+++ //depot/projects/netsmp/src/sys/dev/lnc/if_lnc.c	2005/08/05 14:11:40
@@ -820,7 +820,7 @@
 		 * more packets again.
 		 */
 
-		sc->ifp->if_flags &= ~IFF_OACTIVE;
+		sc->ifp->if_drv_flags &= ~IFF_DRV_OACTIVE;
 
 		lookahead++;
 
@@ -1070,8 +1070,8 @@
 		 * running and transmit any pending packets.
 		 */
 		write_csr(sc, CSR0, STRT | INEA);
-		sc->ifp->if_flags |= IFF_RUNNING;
-		sc->ifp->if_flags &= ~IFF_OACTIVE;
+		sc->ifp->if_drv_flags |= IFF_DRV_RUNNING;
+		sc->ifp->if_drv_flags &= ~IFF_DRV_OACTIVE;
 		lnc_start(sc->ifp);
 	} else
 		log(LOG_ERR, "%s: Initialisation failed\n", 
@@ -1130,8 +1130,8 @@
 printf("IDON\n");
 			sc->ifp->if_timer = 0;
 			write_csr(sc, CSR0, STRT | INEA);
-			sc->ifp->if_flags |= IFF_RUNNING;
-			sc->ifp->if_flags &= ~IFF_OACTIVE;
+			sc->ifp->if_drv_flags |= IFF_DRV_RUNNING;
+			sc->ifp->if_drv_flags &= ~IFF_DRV_OACTIVE;
 			lnc_start(sc->ifp);
 			continue;
 		}
@@ -1174,7 +1174,7 @@
 		 * some more transmit packets.
 		 */
 
-		if (!(sc->ifp->if_flags & IFF_OACTIVE))
+		if (!(sc->ifp->if_drv_flags & IFF_DRV_OACTIVE))
 			lnc_start(sc->ifp);
 	}
 }
@@ -1213,7 +1213,7 @@
 }
 
 /*
- * IFF_OACTIVE and IFF_RUNNING are checked in ether_output so it's redundant
+ * IFF_DRV_OACTIVE and IFF_DRV_RUNNING are checked in ether_output so it's redundant
  * to check them again since we wouldn't have got here if they were not
  * appropriately set. This is also called from lnc_init and lncintr but the
  * flags should be ok at those points too.
@@ -1366,11 +1366,11 @@
 	} while (sc->pending_transmits < NDESC(sc->ntdre));
 
 	/*
-	 * Transmit ring is full so set IFF_OACTIVE
+	 * Transmit ring is full so set IFF_DRV_OACTIVE
 	 * since we can't buffer any more packets.
 	 */
 
-	sc->ifp->if_flags |= IFF_OACTIVE;
+	sc->ifp->if_drv_flags |= IFF_DRV_OACTIVE;
 	LNCSTATS(trans_ring_full)
 }
 
@@ -1412,15 +1412,15 @@
 		}
 
 		if ((ifp->if_flags & IFF_UP) == 0 &&
-		    (ifp->if_flags & IFF_RUNNING) != 0) {
+		    (ifp->if_drv_flags & IFF_DRV_RUNNING) != 0) {
 			/*
 			 * If interface is marked down and it is running,
 			 * then stop it.
 			 */
 			lnc_stop(sc);
-			ifp->if_flags &= ~IFF_RUNNING;
+			ifp->if_drv_flags &= ~IFF_DRV_RUNNING;
 		} else if ((ifp->if_flags & IFF_UP) != 0 &&
-			   (ifp->if_flags & IFF_RUNNING) == 0) {
+			   (ifp->if_drv_flags & IFF_DRV_RUNNING) == 0) {
 			/*
 			 * If interface is marked up and it is stopped, then
 			 * start it.
--- //depot/vendor/freebsd/src/sys/dev/my/if_my.c	2005/08/03 00:20:47
+++ //depot/projects/netsmp/src/sys/dev/my/if_my.c	2005/08/05 14:11:40
@@ -1322,7 +1322,7 @@
 	ifp = sc->my_ifp;
 	ifp->if_timer = 0;
 	if (sc->my_cdata.my_tx_head == NULL) {
-		ifp->if_flags &= ~IFF_OACTIVE;
+		ifp->if_drv_flags &= ~IFF_DRV_OACTIVE;
 		sc->my_cdata.my_tx_tail = NULL;
 		if (sc->my_want_auto)
 			my_autoneg_mii(sc, MY_FLAG_SCHEDDELAY, 1);
@@ -1480,7 +1480,7 @@
 	 * Check for an available queue slot. If there are none, punt.
 	 */
 	if (sc->my_cdata.my_tx_free->my_mbuf != NULL) {
-		ifp->if_flags |= IFF_OACTIVE;
+		ifp->if_drv_flags |= IFF_DRV_OACTIVE;
 		MY_UNLOCK(sc);
 		return;
 	}
@@ -1627,8 +1627,8 @@
 	/* Restore state of BMCR */
 	if (sc->my_pinfo != NULL)
 		my_phy_writereg(sc, PHY_BMCR, phy_bmcr);
-	ifp->if_flags |= IFF_RUNNING;
-	ifp->if_flags &= ~IFF_OACTIVE;
+	ifp->if_drv_flags |= IFF_DRV_RUNNING;
+	ifp->if_drv_flags &= ~IFF_DRV_OACTIVE;
 	(void)splx(s);
 	MY_UNLOCK(sc);
 	return;
@@ -1733,7 +1733,7 @@
 	case SIOCSIFFLAGS:
 		if (ifp->if_flags & IFF_UP)
 			my_init(sc);
-		else if (ifp->if_flags & IFF_RUNNING)
+		else if (ifp->if_drv_flags & IFF_DRV_RUNNING)
 			my_stop(sc);
 		error = 0;
 		break;
@@ -1822,7 +1822,7 @@
 	}
 	bzero((char *)&sc->my_ldata->my_tx_list,
 	    sizeof(sc->my_ldata->my_tx_list));
-	ifp->if_flags &= ~(IFF_RUNNING | IFF_OACTIVE);
+	ifp->if_drv_flags &= ~(IFF_DRV_RUNNING | IFF_DRV_OACTIVE);
 	MY_UNLOCK(sc);
 	return;
 }
--- //depot/vendor/freebsd/src/sys/dev/nge/if_nge.c	2005/08/03 00:20:47
+++ //depot/projects/netsmp/src/sys/dev/nge/if_nge.c	2005/08/05 14:11:40
@@ -1291,7 +1291,7 @@
 		if (cur_tx->nge_mbuf != NULL) {
 			m_freem(cur_tx->nge_mbuf);
 			cur_tx->nge_mbuf = NULL;
-			ifp->if_flags &= ~IFF_OACTIVE;
+			ifp->if_drv_flags &= ~IFF_DRV_OACTIVE;
 		}
 
 		sc->nge_cdata.nge_tx_cnt--;
@@ -1484,7 +1484,7 @@
 
 		if (status & NGE_ISR_SYSERR) {
 			nge_reset(sc);
-			ifp->if_flags &= ~IFF_RUNNING;
+			ifp->if_drv_flags &= ~IFF_DRV_RUNNING;
 			nge_init_locked(sc);
 		}
 
@@ -1622,7 +1622,7 @@
 
 	idx = sc->nge_cdata.nge_tx_prod;
 
-	if (ifp->if_flags & IFF_OACTIVE)
+	if (ifp->if_drv_flags & IFF_DRV_OACTIVE)
 		return;
 
 	while(sc->nge_ldata->nge_tx_list[idx].nge_mbuf == NULL) {
@@ -1632,7 +1632,7 @@
 
 		if (nge_encap(sc, m_head, &idx)) {
 			IF_PREPEND(&ifp->if_snd, m_head);
-			ifp->if_flags |= IFF_OACTIVE;
+			ifp->if_drv_flags |= IFF_DRV_OACTIVE;
 			break;
 		}
 
@@ -1676,7 +1676,7 @@
 
 	NGE_LOCK_ASSERT(sc);
 
-	if (ifp->if_flags & IFF_RUNNING)
+	if (ifp->if_drv_flags & IFF_DRV_RUNNING)
 		return;
 
 	/*
@@ -1849,8 +1849,8 @@
 
 	nge_ifmedia_upd(ifp);
 
-	ifp->if_flags |= IFF_RUNNING;
-	ifp->if_flags &= ~IFF_OACTIVE;
+	ifp->if_drv_flags |= IFF_DRV_RUNNING;
+	ifp->if_drv_flags &= ~IFF_DRV_OACTIVE;
 
 	return;
 }
@@ -1999,13 +1999,13 @@
 	case SIOCSIFFLAGS:
 		NGE_LOCK(sc);
 		if (ifp->if_flags & IFF_UP) {
-			if (ifp->if_flags & IFF_RUNNING &&
+			if (ifp->if_drv_flags & IFF_DRV_RUNNING &&
 			    ifp->if_flags & IFF_PROMISC &&
 			    !(sc->nge_if_flags & IFF_PROMISC)) {
 				NGE_SETBIT(sc, NGE_RXFILT_CTL,
 				    NGE_RXFILTCTL_ALLPHYS|
 				    NGE_RXFILTCTL_ALLMULTI);
-			} else if (ifp->if_flags & IFF_RUNNING &&
+			} else if (ifp->if_drv_flags & IFF_DRV_RUNNING &&
 			    !(ifp->if_flags & IFF_PROMISC) &&
 			    sc->nge_if_flags & IFF_PROMISC) {
 				NGE_CLRBIT(sc, NGE_RXFILT_CTL,
@@ -2014,11 +2014,11 @@
 					NGE_CLRBIT(sc, NGE_RXFILT_CTL,
 					    NGE_RXFILTCTL_ALLMULTI);
 			} else {
-				ifp->if_flags &= ~IFF_RUNNING;
+				ifp->if_drv_flags &= ~IFF_DRV_RUNNING;
 				nge_init_locked(sc);
 			}
 		} else {
-			if (ifp->if_flags & IFF_RUNNING)
+			if (ifp->if_drv_flags & IFF_DRV_RUNNING)
 				nge_stop(sc);
 		}
 		sc->nge_if_flags = ifp->if_flags;
@@ -2069,7 +2069,7 @@
 	NGE_LOCK(sc);
 	nge_stop(sc);
 	nge_reset(sc);
-	ifp->if_flags &= ~IFF_RUNNING;
+	ifp->if_drv_flags &= ~IFF_DRV_RUNNING;
 	nge_init_locked(sc);
 
 	if (ifp->if_snd.ifq_head != NULL)
@@ -2142,7 +2142,7 @@
 	bzero((char *)&sc->nge_ldata->nge_tx_list,
 		sizeof(sc->nge_ldata->nge_tx_list));
 
-	ifp->if_flags &= ~(IFF_RUNNING | IFF_OACTIVE);
+	ifp->if_drv_flags &= ~(IFF_DRV_RUNNING | IFF_DRV_OACTIVE);
 
 	return;
 }
